Panda 1.8 configuration with wxPython

Return to Installation

Panda 1.8 configuration with wxPython

Postby bluskies » Tue Apr 17, 2012 5:13 pm

Hi, I'm back :)

At least three times now over two years I've tried to get Panda and wx to work on my mac (running Lion atm). Doesn't work.

I've installed Panda 1.8.0 and the examples (carousel for example) work. When I run
Code: Select all
ppython --version
I get
Code: Select all
Python 2.5.6
, so I go online and look for a matching version of wxPython. Unfortunately for me there is only a version for Python 2.6 and 2.7, and the 2.6 version doesn't work. When I try to import wx after running ppython, I am told there is no module named wx. For the record, the native installation of Python (2.6.4) sees wx just fine.

I am installing Panda 1.8 over an old installation of 1.7.2, which I think is why I am seeing an old version of Python. Panda is not easy to completely uninstall, though...any help is appreciated!
>>> print capitalOfCanada == 'Toronto'
False
>>> print capitalOfCanada
'Ottawa'
bluskies
 
Posts: 109
Joined: Thu Jun 17, 2010 9:28 am
Location: 45.32, -75.67

Postby zhao » Tue Apr 17, 2012 5:54 pm

Panda 1.8 should be running with python 2.7

Can you try:

import sys
print sys.executable

and check that you're actually running the correct python?
zhao
 
Posts: 225
Joined: Tue Nov 10, 2009 5:32 pm

Postby bluskies » Tue Apr 17, 2012 6:06 pm

When I run that in ppython, it says "/usr/bin/ppython".
>>> print capitalOfCanada == 'Toronto'
False
>>> print capitalOfCanada
'Ottawa'
bluskies
 
Posts: 109
Joined: Thu Jun 17, 2010 9:28 am
Location: 45.32, -75.67

Re: Panda 1.8 configuration with wxPython

Postby flavio » Wed Apr 18, 2012 2:36 am

bluskies wrote:Hi, I'm back :)

Welcome back... :D
bluskies wrote:Unfortunately for me there is only a version for Python 2.6 and 2.7, and the 2.6 version doesn't work. When I try to import wx after running ppython, I am told there is no module named wx. For the record, the native installation of Python (2.6.4) sees wx just fine.

So, why aren't you using Lion's Python? I also have Lion, and it looks like I can run Panda with its Python 2.7.1, so you should be able to use it with wx.
bluskies wrote:I am installing Panda 1.8 over an old installation of 1.7.2, which I think is why I am seeing an old version of Python. Panda is not easy to completely uninstall, though...any help is appreciated!

Here are some hints to uninstall Panda. Anyway, I've only installed Panda 1.8 on my Lion and ppython still says that its version is 2.5.6, so you'd better try using Lion's 2.7.1.
Image - Image
User avatar
flavio
 
Posts: 543
Joined: Fri Apr 16, 2010 12:45 pm
Location: Rome, Italy

Re: Panda 1.8 configuration with wxPython

Postby bluskies » Wed Apr 18, 2012 11:34 am

flavio wrote:So, why aren't you using Lion's Python? I also have Lion, and it looks like I can run Panda with its Python 2.7.1, so you should be able to use it with wx.

My understanding and experience is that the standard Python installation doesn't see the Panda libraries, hence the need for ppython.

flavio wrote:Here are some hints to uninstall Panda.

That's actually the exact page I used to "uninstall" 1.7.2 before putting 1.8 on my machine. I don't think that's all there is to it because my ppython still thinks it's 2.5 :?

flavio wrote:Anyway, I've only installed Panda 1.8 on my Lion and ppython still says that its version is 2.5.6, so you'd better try using Lion's 2.7.1.

Yeah it seems like a catch-22: wxpython needs python 2.6 but python 2.6 doesn't see panda so using python 2.6 isn't an option.
>>> print capitalOfCanada == 'Toronto'
False
>>> print capitalOfCanada
'Ottawa'
bluskies
 
Posts: 109
Joined: Thu Jun 17, 2010 9:28 am
Location: 45.32, -75.67

Postby rdb » Wed Apr 18, 2012 2:00 pm

The Panda3D 1.8 SDK for Mac is compiled against Leopard's Python 2.5, sorry.
rdb
 
Posts: 9306
Joined: Mon Dec 04, 2006 5:58 am
Location: Netherlands

Postby bluskies » Wed Apr 18, 2012 2:16 pm

Ok I'll do development on Windows then, thanks.
>>> print capitalOfCanada == 'Toronto'
False
>>> print capitalOfCanada
'Ottawa'
bluskies
 
Posts: 109
Joined: Thu Jun 17, 2010 9:28 am
Location: 45.32, -75.67


Return to Installation

Who is online

Users browsing this forum: No registered users and 0 guests